** 2.0.0 released on 2009-12-10

2009-12-10  Piotr Fusik  <fox@scene.pl>
* win32/Makefile: reverted binary distributions from *-windows.* to *-win32.*

* flash/USAGE, README, win32/Makefile: Flash release

* java/USAGE: XHTML syntax

* INSTALL: fixed formatting

* CREDITS: added Adrian Matoga


2009-12-03  Piotr Fusik  <fox@scene.pl>
* PORTS.xml, PORTS.xsl, README, Makefile, win32/Makefile:
  added summary of differences between ports in a table

* win32/setup/asap.wxs, win32/setup/wix_mutex.pl: XBMC doesn't support file
  associations (actually opening files from command line)


2009-12-02  Piotr Fusik  <fox@scene.pl>
* win32/setup/asap.wxs, win32/setup/Website.url, win32/Makefile:
  use <File> instead of <IniFile> for the website link (0.5 kB smaller MSI)


2009-12-01  Piotr Fusik  <fox@scene.pl>
* win32/setup/asap.wxs: added "Uninstall shortcut"

* win32/setup/asap-dialog.jpg, win32/setup/asap-banner.jpg:
  optimized using "jhead -purejpg"


2009-11-30  Piotr Fusik  <fox@scene.pl>
* CREDITS, win32/setup/asap.wxs, win32/setup/asap-dialog.jpg,
  win32/setup/asap-banner.jpg, win32/Makefile: setup graphics by Pawel Szewczyk


2009-11-29  Piotr Fusik  <fox@scene.pl>
* asap.c: reject native modules which load in $d000-$d7ff
  - e.g. simply_tune.tm8 from Grayscale site


2009-11-27  Piotr Fusik  <fox@scene.pl>
* win32/setup/asap.wxs: WASAP icon on desktop


2009-11-26  Piotr Fusik  <fox@scene.pl>
* win32/setup/asap.wxs: shortcuts in the Programs menu


2009-11-25  Piotr Fusik  <fox@scene.pl>
* win32/setup/asap.wxs, win32/setup/wix_mutex.pl:
  setting multiple "Associate files" was possible with "Change"

* win32/setup/asap.wxs: file associations didn't appear in Winamp
  nor Apollo settings


2009-11-18  Piotr Fusik  <fox@scene.pl>
* win32/setup/asap.wxs, win32/setup/license.rtf, win32/setup/wix_mutex.pl,
  win32/Makefile: started implementing file associations; GUI improvements


2009-11-16  Piotr Fusik  <fox@scene.pl>
* win32/setup/asap.wxs: default selection and directories for plugins


2009-11-12  Piotr Fusik  <fox@scene.pl>
* win32/setup/asap.wxs, win32/setup/license.rtf, win32/Makefile:
  added license to the setup


2009-11-06  Piotr Fusik  <fox@scene.pl>
* win32/setup/asap.wxs: support upgrades and prevent downgrades


2009-10-28  Piotr Fusik  <fox@scene.pl>
* INSTALL, README, javascript/USAGE, win32/Makefile:
  JavaScript and Flash build and usage instructions


2009-10-06  Piotr Fusik  <fox@scene.pl>
* raw2c.pl, files2anylang.pl, anylang.h, asap.c, Makefile, players/Makefile,
  win32/Makefile, flash/Makefile, javascript/Makefile, javascript/asap.ppjs,
  csharp/Makefile: support native formats in JavaScript and Flash

* anylang.h, asap.c, acpu.c, apokeysnd.c, flash/ASAP.ppas, flash/PokeyState.as,
  flash/ASAP_ModuleInfo.as, flash/Makefile:
  optimized Flash version by declaring more types

* flash/ASAPPlayer.as: support FlashVars


2009-10-02  Piotr Fusik  <fox@scene.pl>
* java/asap_midlet.MF, win32/Makefile: upgraded midlet version number

* README: information about JavaScript, Flash, mmSAP and Rockbox


2009-10-01  Piotr Fusik  <fox@scene.pl>
* acpu.c, apokeysnd.c, asap.c, anylang.h, asap_internal.h, asap.ppjs,
  asap2wav.ppjs: fixes and optimizations for JavaScript

* javascript/asapweb.ppjs, javascript/Makefile, win32/Makefile:
  JavaScript for web browsers (works in Firefox)

* flash/ASAP.ppas, flash/ASAPPlayer.as, flash/ASAP_ModuleInfo.as,
  flash/PokeyState.as, flash/Makefile, anylang.h, asap.c, apokeysnd.c,
  asap_internal.h, win32/Makefile: work on Flash version continued


2009-09-29  Piotr Fusik  <fox@scene.pl>
* flash/ASAP.ppas, flash/ASAPPlayer.as, flash/Makefile, anylang.h, apokeysnd.c,
  asap.c, win32/Makefile: Flash version!


2009-09-28  Piotr Fusik  <fox@scene.pl>
* win32/Makefile: binary distributions renamed from *-win32.* to *-windows.*


2009-09-26  Piotr Fusik  <fox@scene.pl>
* javascript/asap.ppjs, javascript/asap2wav.ppjs, javascript/Makefile,
  acpu.c, apokeysnd.c, asap.c, asap_internal.h, anylang.h, win32/Makefile:
  ASAP can converted to pure JavaScript!

* asap.c, asap.h, asap2wav.c: ASAP_SONGS_MAX

* asap.c, asap_internal.h, anylang.h, acpu.c, apokeysnd.c, csharp/ASAP.ppcs,
  java/ASAP.ppjava, Makefile, csharp/Makefile, gsplayer/Makefile, java/Makefile,
  win32/Makefile: C/Java/C# macros moved to anylang.h and improved


2009-09-25  Piotr Fusik  <fox@scene.pl>
* win32/Makefile: removed absolute paths to asciidoc (use Cygwin's)
  and XHTML DTD (use /etc/xml/catalog)

* Makefile, win32/Makefile: "-a localtime" for old asciidoc (e.g. Cygwin's)


2009-09-24  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h, asap_internal.h, apokeysnd.c, csharp/ASAP.ppcs,
  java/ASAP.ppjava, java/ASAP_ModuleInfo.java, chksap.pl: added COVOX emulation
  (use "COVOX D600" in SAP header)


2009-09-23  Piotr Fusik  <fox@scene.pl>
* win32/wasap/wasap.c: when opening file from the Explorer, close only error
  messages, not file information


2009-09-22  Piotr Fusik  <fox@scene.pl>
* java/ASAPApplet.java: ignore leading hash in colors


2009-09-21  Piotr Fusik  <fox@scene.pl>
* java/ASAP.ppjava, java/ASAPApplet.java, java/USAGE: changed applet interface

* win32/wasap/wasap.c: close the open dialog or error message when opening
  file from the Explorer. Dragging a corrupted file to wasap.exe ten times
  caused a crash (reported by Ramos).


2009-09-18  Piotr Fusik  <fox@scene.pl>
* win32/Makefile: grep version numbers from different files

* win32/setup/asap.wxs: include version in the title; high compression

* acpu.c: fixed CLV with ACPU_NO_DECIMAL; simplified ARR

* asap.c, asap_internal.h, acpu.c, apokeysnd.c, csharp/ASAP.ppcs,
  java/ASAP.ppjava: minor refactoring, added some comments


2009-09-17  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h, asap_internal.h, apokeysnd.c, csharp/ASAP.ppcs,
  java/ASAP.ppjava: added GTIA CONSOL sound emulation

* Makefile, install-sh, win32/Makefile:
  replaced "./install-sh" with "mkdir -p" and "install" because:
  - the ASAP directory can be "noexec"
  - one might be afraid of running "install-sh" as "root"
  - many "mkdir -p" are still shorter than "install-sh"
  - "mkdir -p" should work on new systems

* INSTALL: MADS


2009-09-16  Piotr Fusik  <fox@scene.pl>
* asap.c: detect DLT subsongs and duration, convert to and from SAP


2009-09-16  Marek Konopka  <konop11@poczta.onet.pl>
* players/dlt.as8: disabled MADS warnings


2009-09-15  Piotr Fusik  <fox@scene.pl>
* Makefile: changed variable references from braces to parentheses - to make
  it consistent with other Makefiles and get highlighting in SciTE

* CREDITS, Makefile, README, asap.c, asap.h, asap2wav.c, asap_internal.h,
  csharp/asap2wav.cs, gsplayer/gspasap.c, java/ASAP2WAV.java, players/dlt.as8,
  players/Makefile, win32/Makefile, win32/apollo/ASAP_Apollo.cpp,
  win32/dshow/asap_dsf.cpp, win32/foobar2000/foo_asap.cpp,
  win32/setup/asap.wxs, win32/wasap/wasap.c, win32/winamp/in_asap.c:
  added DLT format


2009-09-14  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h, asap_internal.h, csharp/ASAP.ppcs, java/ASAP_ModuleInfo.java:
  replaced character mnemonics with ASAP_TYPE_*

* players/Makefile, csharp/Makefile, gsplayer/Makefile, java/Makefile,
  win32/Makefile: created players/Makefile


2009-09-12  Piotr Fusik  <fox@scene.pl>
* configure.ac, INSTALL, Makefile.in, Makefile, win32/Makefile, xmms/libasap.c,
  xmms/libasap-xmms.c, xmms/libasap.map, xmms/libasap-xmms.map:
  dropped "configure"; added "install-lib";
  XMMS plugin renamed to libasap-xmms.*

* java/Makefile, win32/Makefile: made "make -j 2" work


2009-09-01  Piotr Fusik  <fox@scene.pl>
* CREDITS, Makefile.in, README, asap.c, asap2wav.c, csharp/Makefile,
  csharp/asap2wav.cs, gsplayer/Makefile, java/ASAP2WAV.java, java/Makefile,
  players/cmc.asx, win32/Makefile, win32/apollo/ASAP_Apollo.cpp,
  win32/dshow/asap_dsf.cpp, win32/foobar2000/foo_asap.cpp,
  win32/setup/asap.wxs, win32/wasap/wasap.c, win32/winamp/in_asap.c:
  added CM3 format

* README, win32/Makefile: fixed XHTML, added validation


2009-08-23  Piotr Fusik  <fox@scene.pl>
* README, CREDITS, win32/Makefile: generate web page from project documentation


2009-08-20  Piotr Fusik  <fox@scene.pl>
* asap.c: conversion from CMS to SAP now handles modules which start
  with zeros instead of 0xFFs


2009-08-19  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h, asap2wav.c, Makefile.in, csharp/Makefile, csharp/asap2wav.cs,
  gsplayer/Makefile, gsplayer/gspasap.c, java/Makefile, java/ASAP2WAV.java,
  win32/Makefile, win32/apollo/ASAP_Apollo.cpp, win32/dshow/asap_dsf.cpp,
  win32/foobar2000/foo_asap.cpp, win32/wasap/wasap.c, win32/winamp/in_asap.c,
  win32/setup/asap.wxs, README:
  added Stereo Double CMC (*.cms). Thanks: Ramos, PG, Poison, Raster.

* asap.c: allow modules with two leading zero bytes and not 0xFFs
  (for CMC and clones)


2009-08-12  Piotr Fusik  <fox@scene.pl>
* INSTALL: updated for MinGW


2009-07-30  Piotr Fusik  <fox@scene.pl>
* win32/wasap/wasap.c: WASAP icon in "About"


2009-07-29  Piotr Fusik  <fox@scene.pl>
* win32/setup/asap.wxs: register Windows Media Player plugin;
  update Path environment variable;
  got rid of "Feature will be installed when required"


2009-07-19  Piotr Fusik  <fox@scene.pl>
* win32/Makefile: "all" now builds all Win32 binaries except XBMC,
  "mingw" just the ones compiled with MinGW (including new libasap.a)

* win32/setup/asap.wxs, win32/Makefile, win32/USAGE:
  setup under construction using Wix

* README, gsplayer/USAGE, win32/gui.rc: some rewordings


2009-07-17  Piotr Fusik  <fox@scene.pl>
* gsplayer/gspasap.def, win32/Makefile:
  compile GSPlayer plugin for Windows NT with MinGW
  (by the way, Windows NT port of GSPlayer is discontinued)


2009-07-15  Piotr Fusik  <fox@scene.pl>
* win32/Makefile: converted from nmake to gmake

* java/Makefile: cleanup


2009-07-10  Piotr Fusik  <fox@scene.pl>
* asap.c, win32/gui.c, win32/wasap/wasap.c: source code indentation


2009-07-02  Piotr Fusik  <fox@scene.pl>
* asap.c: source code shortened using the UWORD macro

* java/ASAPApplet.java: small refactoring


2009-06-10  Piotr Fusik  <fox@scene.pl>
* asap.c, java/ASAP.ppjava: ASAP_DurationToString() returns an empty string
  and not garbage if passed 100 minutes or more


2009-06-05  Piotr Fusik  <fox@scene.pl>
* gsplayer/USAGE, README, win32/Makefile: created wince usage doc

* gsplayer/Makefile, win32/Makefile: created wince Makefile

* csharp/Makefile: converted from nmake to gmake

* win32/Makefile: use unix2dos and not perl (cygwin's perl outputs LFs)


2009-06-02  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h: added const to ASAP_GetPosition and ASAP_GetWavHeader


2009-06-01  Piotr Fusik  <fox@scene.pl>
* win32/wasap/wasap.c, win32/gui.rc, win32/gui.h: added "Save as WAV"

* raw2c.pl: made shorter

* asap2wav.c: error message for trailing options which were silently ignored


2009-05-29  Piotr Fusik  <fox@scene.pl>
* win32/Makefile, asap.c, win32/winamp/in_asap.c, win32/winamp/ipc_pe.h,
  win32/winamp/wa_ipc.h: switched from VS2008 to MinGW


2009-05-28  Piotr Fusik  <fox@scene.pl>
* win32/gui.rc: backslashes in icon paths changed to slashes for windres

* win32/gui.c: prevent a gcc warning


2009-05-27  Piotr Fusik  <fox@scene.pl>
* asapscan.c: do not trigger silence detection at the initial silence

 
2009-05-18  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c: apokeysnd.dll stripped from 50k to 11k by not using
  the C library


2009-05-14  Piotr Fusik  <fox@scene.pl>
* win32/Makefile: shortened and fixed "clean" target; shortened "dist" target;
  backup file removal within ASCIIDOC_POSTPROCESS

* acpu.c: optimized ROR

* asap.c, asap.h, asap2wav.c, java/ASAP.ppjava, java/ASAP2WAV.java,
  java/ASAPMIDlet.java, csharp/ASAP.ppcs, csharp/asap2wav.cs:
  ASAP_GetWavHeader()

* java/ASAP2WAV.java, csharp/asap2wav.cs: with "--raw" option the default
  output filename extension is "raw"

* java/ASAP.ppjava, java/ASAPMIDlet.java: display TIME tags

* asap.c, asap.h, java/ASAP.ppjava, java/ASAPMIDlet.java, csharp/ASAP.ppcs:
  ASAP_GetPosition()

* csharp/ASAP.ppcs, csharp/asap2wav.cs: made ASAP_SampleFormat
  an enum and not int

* java/ASAPMIDlet.java, asap.c, java/ASAP.ppjava: started implementation
  of a "small streams" algorithm


** 1.2.1 released on 2009-05-08

2009-05-08  Piotr Fusik  <fox@scene.pl>
* asap2wav.c, java/ASAP2WAV.java, csharp/asap2wav.cs:
  small refactoring of no_input_files and print_version

* asap2wav.1, Makefile.in, win32/USAGE, win32/Makefile, java/USAGE:
  removed the man page

* README: more information about input file formats

* INSTALL, README, Makefile.in, win32/Makefile: INSTALL converted
  to AsciiDoc format, README.html distributed with source code

* configure.ac, INSTALL: MOC upgraded to 2.4.4


2009-05-01  Piotr Fusik  <fox@scene.pl>
* README, NEWS, CREDITS, gsplayer/gspasap.txt, java/asap_applet.txt,
  java/asap_midlet.txt, java/USAGE, win32/USAGE, win32/Makefile,
  win32/apollo/README, win32/dshow/README, win32/foobar2000/README,
  win32/wasap/README, win32/winamp/README, xbmc/README:
  converted documentation to AsciiDoc format

* INSTALL: upgraded Visual C++ and Perl

* asap.h, configure.ac, csharp/ASAP.ppcs, java/ASAP.ppjava,
  java/asap_midlet.MF: 1.2.1


2009-04-03  Piotr Fusik  <fox@scene.pl>
* asapscan.c, asap_internal.h, acpu.c, chksap.pl:
  "-u" lists unofficial 6502 opcodes used

* chksap.pl: "-st" lists files without TIME tags

* asapscan.c, chksap.pl: "-v" displays ASAP release


2009-03-13  Piotr Fusik  <fox@scene.pl>
* asap.c: ASAP_ONLY_SAP disables support of formats other than SAP
  at compile time; avoid strstr()

* acpu.c: ACPU_NO_UNOFFICIAL and ACPU_NO_DECIMAL reduce code by removing
  emulation of undocumented opcodes and decimal mode


2008-12-29  Piotr Fusik  <fox@scene.pl>
* java/Makefile: configured my new WTK path

* java/ASAPMIDlet.java: swapped positions of "Name" and "Author"


2008-12-22  Piotr Fusik  <fox@scene.pl>
* asap.c: added explicit cast of "void *" to "byte *"

* win32/Makefile: WinCE compilation using VS 2008


2008-12-08  Piotr Fusik  <fox@scene.pl>
* win32/dshow/asap_dsf.cpp: an error code could be overwritten

* Makefile.in, java/Makefile: added ".DELETE_ON_ERROR"

* win32/Makefile: convert text files for Windows to CR/LF
  if checked out by CVS with LFs

* asap2wav.1: slightly improved

* asap.c: C# implementation of ASAP_IsOurExt()


2008-11-28  Piotr Fusik  <fox@scene.pl>
* chksap.pl: support millisecond precision of TIME tags

* win32/Makefile: updated for foobar2000 SDK 2008-09-22


2008-11-27  Piotr Fusik  <fox@scene.pl>
* win32/Makefile: removed "/opt:nowin98" because it's not supported in VS2008


2008-08-01  Dominik Wenger  <domonoky@googlemail.com>
* asap.h: added "signed" to "delta_buffer" declaration


2008-06-22  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c: DO_STORE(skctl)


2008-06-14  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c: fixed 1.77 MHz sound enabled in the INIT state


2008-05-25  Piotr Fusik  <fox@scene.pl>
* java/ASAPMIDlet.java: increased buffer size and implemented array read
  for improved performance


2008-05-23  Piotr Fusik  <fox@scene.pl>
* asap.c: author, name and date are empty strings in Java and C#
  if specified as "<?>" in a SAP file

* java/ASAPMIDlet.java: display author, name, date, progress bar
  and ASAP version; subsong selection


2008-05-12  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c: un-mute for RMT DLL


2008-05-10  Piotr Fusik  <fox@scene.pl>
* Makefile.in, xbmc/xbmc_asap.c, INSTALL: Linux XBMC plugin


2008-05-07  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c, asap.c, asap_internal.h, win32/gui.rc, win32/Makefile:
  POKEY sound emulator DLL for RMT


2008-04-19  Piotr Fusik  <fox@scene.pl>
* asap.c, csharp/ASAP.ppcs, java/ASAP.ppjava: refactoring of load_native()


2008-04-18  Piotr Fusik  <fox@scene.pl>
* win32/gui.rc: don't require Windows SDK for building XBMC plugin

* win32/Makefile, INSTALL: compile XBMC plugin with VC 2003


2008-04-12  Piotr Fusik  <fox@scene.pl>
* asapscan.c, acpu.c: asapscan wasn't compilable

* xbmc/xbmc_asap.c: use stdio instead of Win32 API


2008-04-11  Piotr Fusik  <fox@scene.pl>
* xbmc/xbmc_asap.c: metadata and subsongs


2008-04-06  Piotr Fusik  <fox@scene.pl>
* xbmc/xbmc_asap.c, win32/Makefile, win32/gui.rc: XBMC plugin


** 1.2.0 released on 2008-03-29

2008-03-08  Maciek Konecki  <maciusk1@wp.pl>  and  Piotr Fusik  <fox@scene.pl>
* acpu.c, apokeysnd.c, asap.c, asap_internal.h, csharp/ASAP.ppcs,
  csharp/asap2wav.cs, csharp/Makefile, java/ASAP.ppjava, win32/Makefile:
  ASAP can be compiled as C#


2008-03-03  Piotr Fusik  <fox@scene.pl>
* asap.c: improved RMT loop detection

* README, win32/apollo/ASAP_Apollo.cpp, win32/apollo/InputPlugin.h,
  win32/apollo/README, win32/gui.c, win32/gui.h, win32/gui.rc, win32/Makefile:
  Apollo plugin


2008-03-01  Piotr Fusik  <fox@scene.pl>
* asap.c: corrected RMT duration determining routine ("jump in pattern" wasn't
  handled correctly) and extended it with detection of trailing silence

* asap.c, asap_internal.h, acpu.c, apokeysnd.c, java/ASAP.ppjava:
  changed C/Java abstraction macros so they can be used for C#

* asapscan.c: wasn't compilable


2008-02-28  Piotr Fusik  <fox@scene.pl>
* win32/dshow/asap_dsf.cpp: fixed seeking, restarting and a memory leak


2008-02-27  Piotr Fusik  <fox@scene.pl>
* win32/dshow/asap_dsf.cpp: implemented IMediaSeeking


2008-02-24  Piotr Fusik  <fox@scene.pl>
* win32/dshow/asap_dsf.cpp, win32/dshow/asap_dsf.def, win32/dshow/README,
  win32/gui.rc, win32/Makefile, README: created DirectShow source filter
  (usable in Windows Media Player)


2008-02-19  Piotr Fusik  <fox@scene.pl>
* asap.c: fixed conversion of TMC (playing twice per frame) to SAP


** 1.1.0 released on 2008-02-17

2008-02-17  Piotr Fusik  <fox@scene.pl>
* win32/gui.c: can edit file information before converting to SAP


2008-02-16  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h, java/ASAP.ppjava, java/ASAP_ModuleInfo.java, win32/gui.c,
  win32/gui.h, win32/gui.rc, win32/Makefile: conversion to and from SAP

* asap2wav.c: use ASAP_ChangeExt()


2008-02-10  Piotr Fusik  <fox@scene.pl>
* xmms/libasap.c: corrected two bugs reported by Hennie:
  1. xmms did not advance to the next track after a SAP file has been played;
  2. when one seeks to another part of the track during the last +-3 seconds
     of play (after the playing thread has quit), xmms hangs completely


2008-01-26  Piotr Fusik  <fox@scene.pl>
* java/ASAP.ppjava: corrected applet volume bars (use AUDC not AUDF)


2008-01-22  Piotr Fusik  <fox@scene.pl>
* java/ASAP2WAV.java: made "-b" option work


2008-01-08  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c, asap.h, java/ASAP.ppjava: two-tone POKEY mode emulation


2007-12-31  Piotr Fusik  <fox@scene.pl>
* win32/foobar2000/foo_asap.cpp: conversion no longer interferes
  with the playback


2007-12-15  Piotr Fusik  <fox@scene.pl>
* asap.c: determine duration of RMT music


2007-12-09  Piotr Fusik  <fox@scene.pl>
* asap.c: determine duration of TM2 music

* win32/winamp/in_asap.c: group similar file types


2007-12-08  Piotr Fusik  <fox@scene.pl>
* asap.c: determine duration of TMC music


2007-12-02  Piotr Fusik  <fox@scene.pl>
* asap.c: determine duration of MPT/MPD music


2007-11-26  Piotr Fusik  <fox@scene.pl>
* asap.c, asap_internal.h, java/ASAP.ppjava: determine duration of CMC/CMR/DMC
  music


2007-11-24  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c: improved hi-pass filters


2007-11-08  Piotr Fusik  <fox@scene.pl>
* asapscan.c: improved LOOP detection


** 1.0.2 released on 2007-11-02

2007-11-02  Piotr Fusik  <fox@scene.pl>
* win32/gui.c, win32/gui.h, win32/gui.rc, win32/wasap/wasap.c,
  win32/winamp/in_asap.c: fixed loading a new file when the file information
  window is open; minor refactoring

* configure.ac, INSTALL: MOC 2.4.3


2007-10-28  Piotr Fusik  <fox@scene.pl>
* asap.c, win32/gui.c, win32/gui.h, win32/gui.rc, win32/wasap/wasap.c,
  win32/winamp/in_asap.c: TIME tag editor

* asap.h, configure.ac, win32/Makefile, NEWS: version 1.0.2


2007-10-06  Piotr Fusik  <fox@scene.pl>
* asap.h, java/ASAP.ppjava: reduced delta_buffer from 1024 to 888 bytes

* asapscan.c: corrected "cannot open" error message


2007-09-14  Piotr Fusik  <fox@scene.pl>
* win32/wasap/wasap.c: the menu appears when the right button is released
  - this fixes the problem of the taskbar menu opening on top of WASAP's menu


2007-08-19  Piotr Fusik  <fox@scene.pl>
* java/Makefile: added "-source 1.2" option for new Java compilers

* win32/wasap/wasap.c, win32/gui.c, win32/gui.h: made Tab and Alt+letter work
  in the file information window of WASAP

* win32/wasap/wasap.c: playback did not stop when the file browser was open


2007-07-05  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c: channel mute works for hi-pass filters

* asap.c: IRQST=0xff for the extra POKEY; skip trailing "end-of-song" marks
  in detection of subsongs in CMC

* asap_internal.h: header comment

* asapscan.c: "-s SONG" option

* win32/gui.rc: only digits can be entered in text boxes


2007-06-13  Piotr Fusik  <fox@scene.pl>
* asapscan.c, acpu.c, asap_internal.h, win32/Makefile: "asapscan -c" outputs
  6502 trace

* asap.c: return 0xff for SKSTAT

* asap_internal.h: DEC $D40A suspends the 6502 once, not twice


2007-06-11  Piotr Fusik  <fox@scene.pl>
* chksap.pl: bundling single-character options ("-ftp" means "-f -t -p")

* win32/foobar2000/foo_asap.cpp: un-mute when resetting options


** 1.0.1 released on 2007-06-10

2007-06-10  Piotr Fusik  <fox@scene.pl>
* asapscan.c: fixed silence detection

* chksap.pl: "-p" prints names of processed files

* Makefile.in, java/Makefile, win32/Makefile: updated "clean" targets


2007-06-08  Piotr Fusik  <fox@scene.pl>
* moc/libasap_decoder.c, INSTALL: MOC 2.4.1 compatibility

* win32/foobar2000/foo_asap.cpp: editing author, name and date in SAP files

* xmms/libasap.c: fixed asap_get_time() - XMMS plugin didn't work on some
  systems


2007-06-07  Piotr Fusik  <fox@scene.pl>
* moc/libasap_decoder.c, configure.ac, Makefile.in, INSTALL, win32/Makefile:
  MOC plugin

* win32/gui.rc, win32/gui.c, win32/gui.h, win32/winamp/in_asap.c
  win32/wasap/wasap.c: an option to display the file information
  for the currently playing file; display filename

* asap.c, asap.h, win32/gui.rc, win32/gui.c, win32/gui.h,
  win32/winamp/in_asap.c: editing author, name and date in SAP files


2007-06-05  Piotr Fusik  <fox@scene.pl>
* win32/winamp/in_asap.c: use Advanced Title Formatting - it simply means
  that the displayed title can be customized in Winamp settings (the default
  template includes author's name)

* win32/settings.c, win32/settings.h, win32/settings.rc, win32/gui.c,
  win32/gui.h, win32/gui.rc, win32/wasap/resource.h, win32/wasap/wasap.rc,
  win32/Makefile, win32/winamp/in_asap.c, win32/foobar2000/foo_asap.cpp,
  gsplayer/gspasap.c: renamed settings.* to gui.*; moved WASAP resources
  to gui.*

* java/ASAP.ppjava, java/ASAP_ModuleInfo.java: added some "final" modifiers

* asap.c, asap.h, apokeysnd.c, java/ASAP.ppjava: added extra_pokey_mask field

* asap.c, asap.h, java/ASAP_ModuleInfo.java, xmms/libasap.c: removed all_info
  field

* win32/gui.c, win32/gui.h, win32/gui.rc, win32/wasap/wasap.c,
  win32/winamp/in_asap.c: modeless file information window

* asap.c, win32/foobar2000/foo_asap.cpp: unknown author and date are now
  represented by empty strings rather than "<?>"

* win32/Makefile: "srcdist" target

* xmms/libasap.c: use XMMS title formatting


2007-06-03  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c, asap.c: long initialization routines could cause overflow
  of delta_buffer

* apokeysnd.c, asap.h, java/ASAP.ppjava: emulate POKEY initialization
  via SKCTL


2007-06-02  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c: some delta_buffer values could be lost, resulting in clicks
  (reported by Michal Szpilowski)


2007-06-01  Piotr Fusik  <fox@scene.pl>
* java/Makefile: players.h not needed

* raw2c.pl: restored the old version because the script is not used for Java

* Makefile.in, win32/Makefile: "lib" static library target


2007-05-29  Piotr Fusik  <fox@scene.pl>
* asap.c: fixed a bug in Java version throwing StringIndexOutOfBoundsException

* asap.c, gsplayer/gspasap.c, win32/winamp/in_asap.c: TMC is now played
  in stereo, just like TM8


** 1.0.0 released on 2007-05-28

2007-05-27  Kostas Nakos  <knakos@gmail.com>
* win32/settings.rc: made the dialog box fit on Pocket PC display


2007-05-27  Piotr Fusik  <fox@scene.pl>
* acpu.c, asap_internal.h: emulate two write cycles of Read-Modify-Write
  instructions

* java/ASAP.ppjava, java/ASAPApplet.java: getPokeyChannelVolume() uses
  zero-based channel numbers

* java/ASAP.ppjava, java/ASAP2WAV.java: "-m" option

* java/asap_applet.txt, java/asap_midlet.txt, win32/Makefile: short info
  about the applet and the midlet

* java/ASAPMIDlet.java: show only supported files


2007-05-26  Piotr Fusik  <fox@scene.pl>
* asap.c: fixed POKEY timer interrupts; name defaults to base filename;
  all_info is updated for formats other than SAP

* apokeysnd.c: changed pass band to 20-15834 Hz

* java/ASAPMIDlet.java, java/Makefile, java/asap_midlet.MF: finished midlet
  implementation

* java/asap2wav.MF, java/Makefile, win32/Makefile: Java release package


2007-05-25  Piotr Fusik  <fox@scene.pl>
* java/ASAPApplet.java: fixed pause and switching between mono and stereo songs

* win32/settings.c: small fixes for Windows CE


2007-05-24  Piotr Fusik  <fox@scene.pl>
* java/ASAP.ppjava, java/ASAPApplet.java: display POKEY channel volume meters
  instead of textual info

* win32/foobar2000/foo_asap.cpp: fixed channel muting

* win32/winamp/in_asap.c: fixed file info box


2007-05-23  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c, asap.h, java/ASAP.ppjava: skip pure ultrasounds

* apokeysnd.c, asap.c, asap.h, asap_internal.h, asap2wav.c, asap2wav.1,
  win32/settings.rc, win32/settings.c, win32/settings.h, gsplayer/gspasap.c,
  win32/foobar2000/foo_asap.cpp, win32/winamp/in_asap.c:
  mute user-selected POKEY channels


2007-05-20  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h, asap_internal.h, apokeysnd.c, asapscan.c, gsplayer/gspasap.c,
  java/ASAP.ppjava, win32/Makefile, win32/settings.c, win32/settings.h,
  win32/settings.rc, win32/foobar2000/foo_asap.cpp, win32/winamp/in_asap.c:
  silence detection; store settings in winamp.ini (Winamp plugin) or registry
  (GSPlayer plugin)

* java/ASAPApplet.java: togglePause()

* win32/Makefile, win32/settings.rc, win32/settings.h, win32/winamp/in_asap.c,
  win32/winamp/ipc_pe.h, win32/winamp/wa_ipc.h: subsongs as separate playlist
  entries


2007-05-17  Piotr Fusik  <fox@scene.pl>
* java/ASAP2WAV.java: implemented all options present in the C version

* asap2wav.c: slight refactoring


2007-05-16  Piotr Fusik  <fox@scene.pl>
* java/ASAPApplet.java: fixed paint() and called repaint()

* asap_internal.h, asap.c, java/ASAP.ppjava, java/Makefile,
  java/MIDLET_MANIFEST.MF: native Atari formats now supported by the Java
  version

* acpu.h, asap.c, asap_internal.h: fixed cycle calculations


2007-05-15  Piotr Fusik  <fox@scene.pl>
* java/ASAPApplet.java, java/Makefile: support "song", "defaultPlaybackTime",
  "loopPlaybackTime" and "onPlaybackEnd" parameters and play() and stop()
  methods


2007-05-13  Piotr Fusik  <fox@scene.pl>
* acpu.c, apokeysnd.c, asap.c, asap.h, asap_internal.h, java/ASAP.ppjava
  - ASAP_State.cycle is now real cycle rather than 6502 cycle

* asap.c: 6502 flag I is initially cleared - Digital_Trash.sap works

* java/ASAPApplet.java: read() may return before end of file, so call it
  repeatedly


2007-05-12  Piotr Fusik  <fox@scene.pl>
* asap.c: fixed ASAP_Seek() that incorrectly used sample_offset instead
  of sample_index

* asap.h: corrections in comments

* java/Makefile, win32/Makefile: created separate Makefile for Java

* java/ASAP.ppjava, java/ASAP_ModuleInfo.java: javadoc comments

* java/ASAPMIDlet.java, java/MIDLET_MANIFEST.MF, java/mf2jad.pl, java/Makefile:
  started coding a midlet - implemented a file selector

* asap2wav.1: updated

* xmms/libasap.c: fixed compilation errors


2007-05-11  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c: increased precision of IIR

* acpu.c, apokeysnd.c, asap.c, asap.h, asap_internal.h, java/ASAP.ppjava,
  java/ASAP_ModuleInfo.java, java/ASAP2WAV.java, win32/Makefile:
  ASAP can be compiled as pure Java!

* java/ASAPApplet.java, win32/Makefile: simple Java applet


2007-05-10  Piotr Fusik  <fox@scene.pl>
* acpu.c, acpu.h, apokeysnd.c, apokeysnd.h, asap.c, asap.h, asap_internal.h,
  asap2wav.c, configure.ac, config.guess, config.sub, Makefile.in,
  gsplayer/gspasap.c, win32/Makefile, win32/settings.c, win32/settings.h,
  win32/foobar2000/foo_asap.cpp, win32/winamp/in_asap.c,
  win32/wasap/wasap.c, win32/wasap/wasap.rc, win32/wasap/resource.h,
  xmms/libasap.c, INSTALL: removed all static variables; ASAP now uses
  apokeysnd and no longer depends on Atari800

* win32/winamp/in_asap.c: enabled Winamp equalizer support

* java/ASAP.ppjava, acpu.c, asap_internal.h, win32/Makefile, TODO:
  6502 emulator can be compiled as Java


2007-05-09  Piotr Fusik  <fox@scene.pl>
* acpu.c, acpu.h, asap.c, win32/Makefile: new 6502 emulator

* acpu.c, acpu.h, asap.c, apokeysnd.c, apokeysnd.h: POKEY timer interrupts


2007-05-07  Piotr Fusik  <fox@scene.pl>
* asap.c, asap_internal.h, apokeysnd.c: handle TYPE D and TYPE S SAP files

* apokeysnd.c: corrected handling of reload_cycles


** 0.3.0 released on 2007-05-06

2007-05-06  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c: made stereo work

* asap2wav.c, win32/Makefile: ASAP2WAV with experimental POKEY emulator

* gsplayer/gspasap.txt, INSTALL: info about the GSPlayer plugin


2007-05-06  Kostas Nakos  <knakos@gmail.com>
* win32/Makefile, win32/config.h, win32/settings.rc: GSPlayer plugin
  for Windows CE


2007-05-05  Piotr Fusik  <fox@scene.pl>
* apokeysnd.c, apokeysnd.h, asap.c, asap.h, win32/wasap/wasap.c,
  win32/wasap/wasap.rc, win32/Makefile: new experimental POKEY sound emulator


2007-05-04  Piotr Fusik  <fox@scene.pl>
* chksap.pl: TIME tag can include hundredths of seconds

* asapscan.c: if POKEY registers do not change then the song ends and not loops

* chksap.pl: -T overwrites TIME tags


2007-05-02  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h, asap2wav.c, asapscan.c, chksap.pl, gsplayer/gspasap.c,
  win32/settings.c, win32/settings.h, win32/foobar2000/foo_asap.cpp,
  win32/wasap/wasap.c, win32/winamp/in_asap.c, xmms/libasap.c:
  millisecond precision of song length

* asapscan.c: improved loop detection (not only from the beginning of the song)

* asapscan.c: don't dump registers of the second POKEY for mono songs


2007-05-01  Piotr Fusik  <fox@scene.pl>
* asapscan.c, chksap.pl: detect POKEY features used, such as hi-pass filters

* gsplayer/gspasap.c: pass AUTHOR and NAME to GSPlayer

* win32/settings.c, win32/Makefile, gsplayer/gspasap.c, win32/winamp/in_asap.c:
  identical settings dialog box in Winamp and GSPlayer plugins

* xmms/libasap.c: implemented about, get_song_info and file_info_box


2007-04-30  Piotr Fusik  <fox@scene.pl>
* gsplayer/gspasap.c, gsplayer/gspasap.def, win32/Makefile: made the GSPlayer
  plugin work

* asap2wav.c: refactoring; "--raw" skips WAV headers, "-o -" writes
  to standard output. You can use ASAP2WAV with these two options to generate
  an audio stream for another program, for example:
  asap2wav --raw -o - file.sap | aplay -r 44100 -f S16_LE -t raw

* chksap.pl: a Perl script that can detect and automatically fix many subtle
  errors in SAP files as well as compute statistics


2007-04-29  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h, win32/winamp/in_asap.c, win32/foobar2000/foo_asap.cpp,
  xmms/libasap.c, TODO: ASAP_Seek()

* win32/foobar2000/foo_asap.cpp, win32/foobar2000/README: number of subsongs
  is available as the "subsongs" info item

* asapscan.c: fixed loop detection


2007-04-28  Piotr Fusik  <fox@scene.pl>
* win32/Makefile: create single package for the Win32 platform containing
  ASAP2WAV, WASAP, Winamp plugin and foobar2000 plugin

* win32/wasap/README, win32/winamp/README, win32/foobar2000/README: updated


2007-04-27  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h, asap2wav.c, win32/Makefile, win32/settings.rc,
  win32/settings.h, win32/wasap/wasap.c, win32/wasap/wasap.rc,
  win32/wasap/resource.h, win32/winamp/in_asap.c,
  win32/foobar2000/foo_asap.cpp, gsplayer/gspasap.c, xmms/libasap.c, TODO:
  recognize AUTHOR, NAME, DATE, TIME tags in SAP files;
  major refactoring of the API

* asap2wav.c: removed the "no input files" message

* asapscan.c, asap.c, win32/Makefile: asapscan is a command-line utility
  that automatically detects the values that should be specified in TIME tags

* config.guess, config.sub: updated


2007-04-24  Piotr Fusik  <fox@scene.pl>
* gsplayer/gspasap.c, gsplayer/mapplugin.h, win32/Makefile:
  plugin for GSPlayer, doesn't work yet for an unknown reason


2007-04-21  Piotr Fusik  <fox@scene.pl>
* win32/Makefile, win32/wasap/wasap.c, win32/wasap/wasap.rc,
  win32/wasap/resource.h, win32/wasap/wasap.ico, win32/wasap/play.ico,
  win32/wasap/stop.ico, win32/wasap/README, win32/wasap/.cvsignore:
  moved WASAP-specific files to a separate directory

* win32/Makefile, win32/settings.rc, win32/settings.h, win32/winamp/in_asap.c,
  win32/foobar2000/foo_asap.cpp: song time limit setting for Winamp
  and foobar2000 plugins


2006-09-17  Piotr Fusik  <fox@scene.pl>
* win32/Makefile, win32/wasap.rc, win32/foobar2000/foo_asap.cpp: slight clean-up


2006-08-07  Piotr Fusik  <fox@scene.pl>
* win32/wasap.c: restore tray icon after Explorer restart


2006-05-22  Piotr Fusik  <fox@scene.pl>
* asap.c, asap2wav.c: minor code improvements


2006-05-14  Piotr Fusik  <fox@scene.pl>
* asap.h, win32/wasap.rc: wasap.rc now takes version numbers from asap.h

* INSTALL: sf.net switched to per-project CVS server addresses

* TODO: updated


2006-04-17  Piotr Fusik  <fox@scene.pl>
* win32/foobar2000/foo_asap.cpp, win32/Makefile, win32/foobar2000/README,
  INSTALL: upgraded to foobar2000 0.9


2006-04-15  Piotr Fusik  <fox@scene.pl>
* win32/wasap.c, win32/wasap.rc, win32/resource.h: sample rate selection
  (44100 Hz or 48000 Hz)


2006-04-13  Piotr Fusik  <fox@scene.pl>
* TODO: updated

* win32/Makefile: distribute TODO with binary releases


2006-01-31  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h, win32/foobar2000/foo_asap.cpp, xmms/libasap.c:
  added ASAP_IsOurFile(); the XMMS plugin now supports TM8

* asap.h, asap2wav.c, win32/wasap.c, win32/winamp/in_asap.c,
  win32/foobar2000/foo_asap.cpp, xmms/libasap.c: ASAP_MODULE_MAX

* win32/wasap.c: middle-click opens subsong menu

* xmms/libasap.map, Makefile.in: added linker script to strip dynamic symbols

* xmms/libasap.c: use open/read/close (#define USE_STDIO to get
  fopen/fread/fclose back); prefixed function names with "asap_" to prevent
  collision with system pause()


** 0.2.1 released on 2006-01-28

2006-01-27  Piotr Fusik  <fox@scene.pl>
* configure.ac, Makefile.in: use ./install-sh because it can create missing
  directories

* Makefile.in: avoid $^ which is not supported by PMake ("make" on *BSD)

* configure.ac, win32/Makefile, win32/wasap.rc: version 0.2.1

* win32/foobar2000/foo_asap.cpp, win32/foobar2000/README, win32/Makefile:
  foobar2000 plugin now supports subsongs


2006-01-24  Piotr Fusik  <fox@scene.pl>
* players/tm2.asx, asap.c, asap.h, asap2wav.c, Makefile.in, win32/wasap.c,
  win32/Makefile, win32/foobar2000/foo_asap.cpp, win32/winamp/in_asap.c,
  xmms/libasap.c: TM2 (Theta Music Composer 2.x) input format


2006-01-20  Piotr Fusik  <fox@scene.pl>
* xmms/libasap.c, win32/winamp/in_asap.c: forward declarations of "static"
  variables should use "static" and not "extern" - this fixes the GCC 4
  compilation error


** 0.2.0 released on 2006-01-15

2006-01-15  Piotr Fusik  <fox@scene.pl>
* asap.c: support for subsongs in RMT files

* configure.ac, Makefile.in: improved XMMS plugin compilation and installation


2006-01-14  Piotr Fusik  <fox@scene.pl>
* asap.c: some SAPs are self-extracting and their initialization (which
  includes decompression) takes more than 5 Atari frames which was
  the limit (now it's 50 frames)

* cmc_0500.raw, mpt_0500.raw, rmt_0390.raw, tmc_0500.raw, raw2c.pl,
  players/cmc.asx, players/mpt.asx, players/rmt.asx, players/tmc.asx,
  players/.cvsignore, asap.c, Makefile.in, win32/Makefile:
  compiled 6502 routines replaced with their source code
  (binaries will be included in source distributions);
  added support for stereo RMT files

* asap.h, win32/foobar2000/foo_asap.cpp, win32/foobar2000/README,
  win32/foobar2000/.cvsignore, win32/Makefile: added foobar2000 plugin


2006-01-09  Piotr Fusik  <fox@scene.pl>
* asap.c, asap.h, asap2wav.c, win32/wasap.c, win32/winamp/in_asap.c,
  xmms/libasap.c: simplified code by passing full filename instead of just
  the extension to ASAP_Load()

* win32/wasap.ico: transparency did not always work for the 16x16 icon

* asap.c, asap.h, asap2wav.c, asap2wav.1, configure.ac, win32/wasap.c,
  win32/wasap.rc, win32/resource.h, win32/config.h, win32/winamp/in_asap.c,
  xmms/libasap.c: stereo and 16-bit output

* win32/wasap.c: accepts a filename on the command line (you can use
  "Open with" from Windows Explorer)

* atari800/src/pokeysnd.c: some fixes in RF pokeysnd for stereo


2006-01-04  Piotr Fusik  <fox@scene.pl>
* xmms/libasap.c, Makefile.in: added XMMS plugin


** 0.1.0 released on 2005-12-31

2005-12-31  Piotr Fusik  <fox@scene.pl>
* NEWS, README, asap2wav.1, win32/README, win32/winamp/README: created

* configure.ac: link with "-lm" if necessary

* CREDITS, INSTALL, TODO, win32/wasap.c: slight fixes

* win32/Makefile: updated the "dist" target

* win32/.cvsignore: ignore asap2wav.txt


2005-12-30  Piotr Fusik  <fox@scene.pl>
* CREDITS, INSTALL: created

* atari800/src/cpu.c, atari800/src/cpu.h, atari800/src/mzpokeysnd.c,
  atari800/src/pokey.h, atari800/src/pokeysnd.c, atari800/src/remez.c:
  committed changes required for ASAP to the Atari800 CVS


2005-12-28  Piotr Fusik  <fox@scene.pl>
* rmt_0390.raw, asap.c, asap.h, asap2wav.c, Makefile.in, win32/wasap.c,
  win32/Makefile, win32/winamp/in_asap.c: support RMT mono songs


2005-12-27  Piotr Fusik  <fox@scene.pl>
* ChangeLog, TODO: created

* .cvsignore: ignore autoconf-generated files

* win32/wasap.c, win32/wasap.rc: use radio-marks instead of check-marks,
  this even simplifies the code

* asap.c: fixed an endless loop when a file other than SAP was loaded first;
  made initialization of poly{9,17}_lookup several times faster;
  implemented subsongs in MPT and TMC files; removed the unused DivN* arrays;
  ASAP_PlaySong() first clears POKEY sound registers - this helps SAPs which
  don't do that

* maketar.pl, win32/Makefile: "nmake dist" creates release archives

* asap.c, asap2wav.c, win32/wasap.c, win32/winamp/in_asap.c:
  support DMC (DoublePlay CMC) and MPD (MPT DoublePlay) formats

* win32/wasap.c: added file selector filters


2005-12-23  Piotr Fusik  <fox@scene.pl>
* Makefile.in, config.guess, config.sub, install-sh: uploaded the latest
  run-time config/install scripts


2005-12-21  Piotr Fusik  <fox@scene.pl>
* .cvsignore, win32/.cvsignore, win32/winamp/.cvsignore: specified files
  that are not stored in CVS

* win32/Makefile: added icon dependencies

* win32/wasap.ico: colored the 16x16 application icon


2005-12-20  Piotr Fusik  <fox@scene.pl>
* COPYING, Makefile.in, asap.c, asap.h, asap2wav.c, asap_internal.h,
  configure.ac, cmc_0500.raw, mpt_0500.raw, tmc_0500.raw, raw2c.pl,
  win32/Makefile, win32/config.h, win32/play.ico, win32/stop.ico,
  win32/wasap.ico, win32/resource.h, win32/wasap.c, win32/wasap.rc,
  win32/winamp/in2.h, win32/winamp/out.h, win32/winamp/in_asap.c:
  initial CVS checkin


